import { useState } from 'react';
import ReactDatePicker from 'react-datepicker';

import 'react-datepicker/dist/react-datepicker.css';
import './order-date-picker.css';

const OrderDatePicker = ({ dateFilters, setDateFilters }: any) => {
  const today = new Date()
  const thirtyDaysAgo = new Date().setDate(today.getDate() - 30)
  const [startDate, setStartDate] = useState<any>(thirtyDaysAgo)
  const [endDate, setEndDate] = useState<any>(today)
	// const [inputErr, setInputError] = useState<null | string>(null)

  const handleStartChange = (newDate: any) => {
		if (newDate < endDate) {
			setDateFilters((prev: any) => ({ ...prev, end: endDate.getTime(), start: newDate.getTime() }))
			setStartDate(newDate)
		}
  }

	const handleEndChange = (newDate: any) => {
		if (newDate > startDate && newDate < (today.getDate() + 1)) {
			setDateFilters((prev: any) => ({ ...prev, start: startDate.getTime(), end: newDate.getTime() }))
			setEndDate(newDate)
		}
  }

  return (
		<>
			<ReactDatePicker
				selected={startDate}
				name="start"
				onChange={handleStartChange}
				selectsStart
				startDate={startDate}
				endDate={endDate}
			/>
			<ReactDatePicker
				selected={endDate}
				name="start"
				onChange={handleEndChange}
				selectsEnd
				startDate={startDate}
				endDate={endDate}
				minDate={startDate}
			/>
		</>
  );


}

export default OrderDatePicker